groovy.util.logging

## Class Log4j.Log4jLoggingStrategy

- java.lang.Object
- - org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy
  - - groovy.util.logging.Log4j.Log4jLoggingStrategy

All Implemented Interfaces:
  LogASTTransformation.LoggingStrategy

Enclosing class:
  Log4j

    public static class Log4j.Log4jLoggingStrategy
    extends LogASTTransformation.AbstractLoggingStrategy

### Field Summary

### Fields inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

`loader`

### Constructor Summary

Constructors
`protected` `Log4jLoggingStrategy(GroovyClassLoader loader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FieldNode` `addLoggerFieldToClass(ClassNode classNode, java.lang.String logFieldName, java.lang.String categoryName)` In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class.
`boolean` `isLoggingMethod(java.lang.String methodName)`
`Expression` `wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)`

### Methods inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

`classNode, getCategoryName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Log4jLoggingStrategy

    protected Log4jLoggingStrategy(GroovyClassLoader loader)

### Method Detail

#### addLoggerFieldToClass

    public FieldNode addLoggerFieldToClass(ClassNode classNode,
                                           java.lang.String logFieldName,
                                           java.lang.String categoryName)

Description copied from interface: `LogASTTransformation.LoggingStrategy`
In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class. Return the result of the ClassNode.addField operations.

Parameters:
  `classNode` - the class that was originally annotated with the Log transformation.
  `logFieldName` - the name of the logger field
  `categoryName` - the name of the logging category
Returns:
  the FieldNode instance that was created and added to the class

#### isLoggingMethod

    public boolean isLoggingMethod(java.lang.String methodName)

#### wrapLoggingMethodCall

    public Expression wrapLoggingMethodCall(Expression logVariable,
                                            java.lang.String methodName,
                                            Expression originalExpression)